Your message dated Wed, 04 Nov 2015 09:55:31 +0000
with message-id <e1ztumx-0006lq...@franck.debian.org>
and subject line Bug#802735: fixed in nodejs 4.2.2~dfsg-1
has caused the Debian Bug report #802735,
regarding nodejs: add autopkgtests
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
802735: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=802735
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Source: nodejs
Version: 4.0.0~dfsg-2
Severity: wishlist
Tags: patch

Attached is a patch to add a couple simple autopkgtests to nodejs.
diff -urpN nodejs-4.0.0~dfsg.orig/debian/control nodejs-4.0.0~dfsg/debian/control
--- nodejs-4.0.0~dfsg.orig/debian/control	2015-09-09 08:10:12.000000000 -0600
+++ nodejs-4.0.0~dfsg/debian/control	2015-10-22 18:06:56.136009351 -0600
@@ -25,6 +25,7 @@ Standards-Version: 3.9.6
 Homepage: http://nodejs.org/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/nodejs.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/nodejs.git
+Testsuite: autopkgtest
 
 Package: nodejs-dev
 Section: devel
diff -urpN nodejs-4.0.0~dfsg.orig/debian/tests/control nodejs-4.0.0~dfsg/debian/tests/control
--- nodejs-4.0.0~dfsg.orig/debian/tests/control	1969-12-31 17:00:00.000000000 -0700
+++ nodejs-4.0.0~dfsg/debian/tests/control	2015-10-22 18:21:37.044234074 -0600
@@ -0,0 +1,6 @@
+Tests: helloworld
+Depends: nodejs, wget
+Restrictions: isolation-container
+
+Test-Command: nodejs -v
+Depends: nodejs
diff -urpN nodejs-4.0.0~dfsg.orig/debian/tests/helloworld nodejs-4.0.0~dfsg/debian/tests/helloworld
--- nodejs-4.0.0~dfsg.orig/debian/tests/helloworld	1969-12-31 17:00:00.000000000 -0700
+++ nodejs-4.0.0~dfsg/debian/tests/helloworld	2015-10-22 18:30:21.857426281 -0600
@@ -0,0 +1,47 @@
+#!/bin/sh
+
+set -e
+
+TIMEOUT=60 # in seconds
+PORT=1337
+
+js=$(mktemp)
+cleanup() {
+    rm -f $js
+}
+trap cleanup EXIT
+
+# "hello world" example from: https://nodejs.org/en/about/
+cat > $js <<EOF
+var http = require('http');
+
+http.createServer(function (req, res) {
+  res.writeHead(200, {'Content-Type': 'text/plain'});
+  res.end('Hello World\n');
+}).listen(${PORT}, "127.0.0.1");
+
+console.log('Server running at http://127.0.0.1:${PORT}/');
+EOF
+
+nodejs $js &
+nodepid=$!
+
+pass=0
+while [ -d /proc/$nodepid ]; do
+    pass=$((pass + 1))
+    sleep 1
+
+    if wget -q http://127.0.0.1:${PORT}/ -O - | grep 'Hello World'; then
+	kill $nodepid
+	exit 0
+    fi
+    if [ $pass -eq $TIMEOUT ]; then
+	echo "ERROR: nodejs failed to become ready in $TIMEOUT seconds" >&2
+	kill $nodepid
+	exit 1
+    fi
+done
+
+echo "ERROR: nodejs exited unexpectedly" >&2
+
+exit 1

--- End Message ---
--- Begin Message ---
Source: nodejs
Source-Version: 4.2.2~dfsg-1

We believe that the bug you reported is fixed in the latest version of
nodejs, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 802...@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jérémy Lal <kapo...@melix.org> (supplier of updated nodejs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmas...@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Wed, 04 Nov 2015 09:37:24 +0100
Source: nodejs
Binary: nodejs-dev nodejs nodejs-dbg nodejs-legacy
Architecture: source amd64 all
Version: 4.2.2~dfsg-1
Distribution: unstable
Urgency: medium
Maintainer: Debian Javascript Maintainers 
<pkg-javascript-devel@lists.alioth.debian.org>
Changed-By: Jérémy Lal <kapo...@melix.org>
Description:
 nodejs     - evented I/O for V8 javascript
 nodejs-dbg - evented I/O for V8 javascript (debug)
 nodejs-dev - evented I/O for V8 javascript (development files)
 nodejs-legacy - evented I/O for V8 javascript (legacy symlink)
Closes: 802735
Changes:
 nodejs (4.2.2~dfsg-1) unstable; urgency=medium
 .
   * Imported Upstream version 4.2.2~dfsg
   * Huge test timeout for all platforms
   * Update from v8z 4.5 branch
   * Node.js 4.2 is LTS, maintain it in master-4.2, upstream-4.2
     + update gbp.conf
     + lock watch file to 4.2.x
     + update Vcs-Git in debian/control
   * Remove test-domain-with-abort-on-uncaught-exception.diff,
     applied upstream
   * Add trivial autopkgtest (Closes: #802735)
Checksums-Sha1:
 3827c9380ff51080966f250823e56b28c34230c8 2376 nodejs_4.2.2~dfsg-1.dsc
 bd05f5400927e3c6bab334681a6878e0f665d652 9348919 nodejs_4.2.2~dfsg.orig.tar.gz
 2cc66f98d0333302cbfe7e2cc79d2a1c9507cdcb 348288 
nodejs_4.2.2~dfsg-1.debian.tar.xz
 837b1c9903246a034f013e1c53f144a86584b1c0 96386236 
nodejs-dbg_4.2.2~dfsg-1_amd64.deb
 8265ed33fe7e925f75e2c5c656669cd3aeec3d06 445472 
nodejs-dev_4.2.2~dfsg-1_amd64.deb
 462dfa9a8666f6f93ec688dc8f2e993025e99c3e 193052 
nodejs-legacy_4.2.2~dfsg-1_all.deb
 08a8c0a5eef6f4fa3678023f1e152d101619cd27 3210828 nodejs_4.2.2~dfsg-1_amd64.deb
Checksums-Sha256:
 331c3d77e984a977d115b41c67553424d8f69456d4c07d10ae80b80ee256c9f7 2376 
nodejs_4.2.2~dfsg-1.dsc
 2cc2805b9d028e422a15e849f7a508ef1c37c8c14456d28811c549ce4348dde7 9348919 
nodejs_4.2.2~dfsg.orig.tar.gz
 69ec59b9dc902c7cda24c7a2d8d63d418bc6359fb54fa087b64da55acb45db6b 348288 
nodejs_4.2.2~dfsg-1.debian.tar.xz
 15be26a1805f6c9e286ea0c03b66958309167e4fe5d6da2ec0d43a6a58fe5035 96386236 
nodejs-dbg_4.2.2~dfsg-1_amd64.deb
 3ac60238a9da0fa737c8b099a46869dca14a2445f5f2f256dd40b20ca41e0c97 445472 
nodejs-dev_4.2.2~dfsg-1_amd64.deb
 2330872659ff56f9f9b0f98760d003374946a876b703e656fb07186bcb9aea2a 193052 
nodejs-legacy_4.2.2~dfsg-1_all.deb
 efd67d62cda93efd708f1b60f7243a2e9993086feb3d147fba418c4b8579cadf 3210828 
nodejs_4.2.2~dfsg-1_amd64.deb
Files:
 1524315e115d8d02d6864ca62df14aef 2376 web - nodejs_4.2.2~dfsg-1.dsc
 b19d4ca778e1d3ddae09f66e005e7059 9348919 web - nodejs_4.2.2~dfsg.orig.tar.gz
 19064248d1b7548adf15e009b0b3d7b6 348288 web - nodejs_4.2.2~dfsg-1.debian.tar.xz
 b6e5c7f7736c9ede29bf0fbfc1a54bec 96386236 debug extra 
nodejs-dbg_4.2.2~dfsg-1_amd64.deb
 e1a1e4d258b4ca14c2547125b9ba30a5 445472 devel extra 
nodejs-dev_4.2.2~dfsg-1_amd64.deb
 6812f2f93e5c25127474cd4bd1363a92 193052 web extra 
nodejs-legacy_4.2.2~dfsg-1_all.deb
 a8f53778137670e5c930b964fcbfffbe 3210828 web optional 
nodejs_4.2.2~dfsg-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBCgAGBQJWOcu3AAoJEGYRwF7dOfN0M84P/1h+jKqDlDJWem29RhkZcNT9
VxS9NWBmFGKSNQMvS7qeG7TV+ODjSzu05NQoTUwNb4D3I9d9Vt0m5YCvHIJGMPMF
2f7MkvS0tgWcfCYwCIVCwFTYDkbtlDLLlc/Buejhl4SSv5rIi3F8WVznV3tAhZVR
5uDqfPLV83Idj5f4uwTJqBIS248uop81tl3maq9M50PlIx08kmrwtV9te9CgG0EQ
lh+n8gJAAlxH+a7UoT+WLv3L8ig1IExFQnV8M/Tlf/bhuYR8KyJuQzjLkIhuXOLG
ZHIy6kacDmy/VZ5zo7xm/DIjPkSOCdsEA+dLDKTdK0oPVO7U6jwi5eT6s/8l27yR
G79wWZNMELy+EH4DRxxAhspQP3GmjVF0ROIp3Zzu9YwYdnwGzHpDiVCZvojq4fW9
TCYbqwFS9iUNFFBII3LppC2H6ZnWSfudX1Ru8tNb/gX+ItiQ1tE7BIB1fTktrOsi
MhdqbFyD5dAvWPKyQ0Ga2aIF3KR1o3a/UlwNQtULledLf9uNUCJqr3HzPuKR3IZf
p/rmGWRFAf9MTkqBIFvuOo9xzMvckLfSABcRVixrreHRcDzSzcSZH/tPXy7Nb6Yu
l5Nhm56gRkOU63lJ7zNTo4Nvv8MoLyMxWpZOvRFEgK5NTmmdH5Ch3vXHgU1QK7dL
UVkOfBVJHtyTGVQGjxIQ
=IBzG
-----END PGP SIGNATURE-----

--- End Message ---
_______________________________________________
Pkg-javascript-devel mailing list
Pkg-javascript-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-javascript-devel

Reply via email to